/safetyculture-inspections | Type: Application | PCID required: Yes
Tools
safetyculture_inspections_answer_service_get_answers_for_inspection
Get answers from an inspection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The unique identifier for the inspection |
safetyculture_inspections_external_inspection_service_get_inspection_details
Get details of an inspection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID for the inspection. |
include_media_url | boolean | No | — | Whether to include media URLs (and metadata) in the response payload. Optional. Defaults to false. |
safetyculture_inspections_inspection_service_archive_inspection
Archive an inspection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
inspection_id | string | Yes | — | The unique identifier for the inspection |
body | object | Yes | — | Request body |
safetyculture_inspections_inspection_service_clone_inspection
Clone an inspection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
inspection_id | string | Yes | — | Required. Inspection ID to copy from |
body | object | Yes | — | Request body |
safetyculture_inspections_inspection_service_complete_inspection
Complete inspection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
inspection_id | string | Yes | — | The unique identifier for the inspection to complete. |
body | object | Yes | — | Request message for CompleteInspection. |
safetyculture_inspections_inspection_service_delete_inspection
Delete an inspection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The unique identifier for the inspection |
safetyculture_inspections_inspection_service_get_inspection
Get an inspection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID for the inspection. |
safetyculture_inspections_inspection_service_get_inspection_access
Get inspection access Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
inspection_id | string | Yes | — | The unique identifier for the inspection |
safetyculture_inspections_inspection_service_remove_inspection_user_access
Remove user access to an inspection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
inspection_id | string | Yes | — | The unique identifier for the inspection |
removed_user_id | string | Yes | — | The unique identifier of the user to remove access from |
new_owner_id | string | No | — | The unique identifier for a new owner of this inspection. Required when removing the current owner (when the inspection is owned by removed_user_id). If the inspection is not owned by removed_user_id, this field is optional and ownership will not be changed. |
safetyculture_inspections_inspection_service_restore_archived_inspection
Restore an archived inspection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
inspection_id | string | Yes | — | The unique identifier for the inspection |
safetyculture_inspections_inspection_service_set_inspection_access
Set inspection access Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
inspection_id | string | Yes | — | The unique identifier for the inspection |
owner_id | string | No | — | The user ID of the inspection owner (optional); implicitly has full access If access is to be revoked from the original owner, a new owner must be specified. |
permissions | any[] | No | — | Collection of access rules with their associated permission levels |
safetyculture_inspections_inspection_service_set_inspection_location
Set an inspections start or finish location Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
inspection_id | string | Yes | — | Required. The unique identifier for the inspection |
geo_position | object | Yes | — | Required. The geographical position associated with the inspections start/finish |
is_start_location | boolean | Yes | — | Required. Whether this is the inspections starting or completing location |
safetyculture_inspections_inspection_service_set_inspection_site
Set inspection site Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
inspection_id | string | Yes | — | The ID of the inspection |
site_id | string | Yes | — | The ID of the site |
safetyculture_inspections_inspection_service_set_owner
Set inspection owner Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
inspection_id | string | Yes | — | The unique identifier for the inspection |
owner_id | string | Yes | — | The unique identifier for the new owner |
safetyculture_inspections_media_service_get_download_signed_url
Get media download URL Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The unique identifier for the media item. |
token | string | Yes | — | The given token, unique for each media item, to grant access. |
download_as_attachment_name | string | No | — | Indicates the object should be downloaded as an attachment and saved with the given name. At the least, the file name should contain a name plus a 3-letter file extension e.g. test.png, conditions.pdf, a.jpg. |
media_type | string | No | — | The media type associated with the download request. - MEDIA_TYPE_IMAGE: An image file (GIF, JPG, PNG, WEBP). - MEDIA_TYPE_VIDEO: A video file (MP4, MOV). - MEDIA_TYPE_PDF: A PDF document. - MEDIA_TYPE_DOCX: A Microsoft Word document (DOCX, DOC). - MEDIA_TYPE_XLSX: A Microsoft Excel spreadsheet (XLSX, XLS). |
safetyculture_inspections_reports_service_start_inspection_export
Export inspection to PDF or Word Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
export_data | any[] | Yes | — | List of report configurations |
export_settings | object | No | — | Sets of export settings that can apply to tabular export, eg Excel |
inspection_filter | object | No | — | List of inspections filters that filters out which inspection to be included. This is optional and only be evaluate |
lang | string | No | — | Sets the language for the document using language code from ISO-639 format |
regenerate | boolean | No | — | Indicate whether to by pass any caching and regenerate the report from the latest data. This flag would only take effect for authorized user. |
timezone | string | No | — | Sets the timezone for bulk exporting file name |
type | string | Yes | — | The requested file type for the export |
safetyculture_inspections_templates_service_archive_template
Archive a template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
template_id | string | Yes | — | The unique identifier for the template |
body | object | Yes | — | Request body |
safetyculture_inspections_templates_service_get_template_by_id
Get a template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
template_id | string | Yes | — | Unique template id |
locale | string | No | — | The preferred locale of the template. |
safetyculture_inspections_templates_service_get_template_by_inspection_id
Get template (by inspection) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
inspection_id | string | Yes | — | The ID for the inspection. |
locale | string | No | — | The preferred locale of the template. |
safetyculture_inspections_templates_service_restore_archived_template
Restore an archived template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
template_id | string | Yes | — | The unique identifier for the template |
safetyculture_inspections_the_pub_service_get_inspection_deep_link
Generate an inspection deep link Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
audit_id | string | Yes | — | The id of the inspection to retrieve a deep link for. |
safetyculture_inspections_the_pub_service_get_inspection_web_report_link
Get inspection web report link Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
audit_id | string | Yes | — | The id of the inspection to retrieve a web report link for. |
safetyculture_inspections_the_pub_service_search_inspections
Search modified inspections Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
field | any[] | No | — | The fields to return. Defaults to just audit_id. - audit_id: Include audit_id in the response. - modified_at: Include modified_at in the response. - template_id: Include template_id in the response. |
order | string | No | — | The order to return results in. - asc: Ascending order. - desc: Descending order. |
modified_after | string | No | — | Filter inspections modified after this date time. |
modified_before | string | No | — | Filter inspections modified before this date time. |
template | any[] | No | — | Filter to inspections conducted from these templates. |
archived | string | No | — | Filter results by archived status. Default is false. - false: Only unarchived inspections. - true: Only archived inspections. - both: Both unarchived and archived inspections. |
completed | string | No | — | Filter results by completed status. Default is both. - both: Both complete and incomplete inspections. - false: Only incomplete inspections. - true: Only complete inspections. |
owner | string | No | — | Filter results by owner. Default is all. - all: Owned by anyone. - me: Only owned by the requesting user - other: Only owned by other users. |
limit | integer | No | — | Limit the number of results returned. Default is 100. |
safetyculture_inspections_the_pub_service_search_templates
Search modified templates Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | Limit the number of results returned. Default is 1000. |
field | any[] | No | — | The fields to return. Defaults to just audit_id. - template_id: Include template_id in the response. - name: Include name in the response. - modified_at: Include modified_at in the response. - created_at: Include modified_at in the response. |
order | string | No | — | The order to return results in. - asc: Order by modified_at in ascending order. - desc: Order by modified_at in descending order. |
modified_after | string | No | — | Filter results modified after this date time. |
modified_before | string | No | — | Filter results modified before this date time. |
archived | string | No | — | Filter results by archived status. - false: Only include unarchived templates. - true: Only include archived templates. - both: Include both archived and unarchived templates. |
owner | string | No | — | Filter results by owner. - all: Include all templates. - me: Only include templates owned by the requesting user. - other: Only include templates owned by other users. |
safetyculture_inspections_the_pub_service_share_inspection
Share an inspection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
audit_id | string | Yes | — | The id of the inspection to share. |
shares | any[] | No | — | The users and groups to share with. |
safetyculture_inspections_the_pub_service_start_inspection
Start an inspection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
header_items | any[] | No | — | The title page items of the inspection. |
items | any[] | No | — | The items of the inspection. |
template_id | string | Yes | — | ID of the template to start an inspection from. |
safetyculture_inspections_the_pub_service_update_inspection
Update an inspection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
audit_id | string | Yes | — | The ID of the inspection to update. |
archived | boolean | No | — | Whether to archive or un-archive the inspection. Optional. Defaults to false (un-archive). |
header_items | any[] | No | — | The title page items of the inspection. |
items | any[] | No | — | The items of the inspection. |

